﻿Type=Activity
Version=5.2
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim timer_refreshStatus As Timer
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Dim statusListView As ListView
End Sub

Sub Activity_Create(FirstTime As Boolean)
	loadGUI
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub Activity_KeyPress (KeyCode As Int) As Boolean
	If KeyCode = KeyCodes.KEYCODE_BACK Then
		Activity.Finish
		'StartActivity(Main)
	End If
End Sub 

Sub mnuBack_click
	Activity.Finish
	'StartActivity(Main)
End Sub

Sub loadGUI
	Activity.LoadLayout("status")
	
	Activity.AddMenuItem(Common.LNG_BACK,"mnuBack")
	
    statusListView.Initialize("statusListView")
	buildStatusListView
    Activity.AddView(statusListView, 0, 0, 100%x, 100%y)
	
	timer_refreshStatus.Initialize("timer_refreshStatus", 500)
	timer_refreshStatus.Enabled = True	
End Sub

Sub buildStatusListView
	statusListView.Clear
	
    statusListView.TwoLinesLayout.ItemHeight = 40dip
    statusListView.TwoLinesLayout.Label.Top = 0
    statusListView.TwoLinesLayout.Label.Left = 0
    statusListView.TwoLinesLayout.Label.Width = 50%x
    statusListView.TwoLinesLayout.Label.Height = 40dip
    statusListView.TwoLinesLayout.Label.Gravity = Gravity.CENTER_VERTICAL
    statusListView.TwoLinesLayout.Label.TextSize = 18
   
    statusListView.TwoLinesLayout.SecondLabel.Top = 0
    statusListView.TwoLinesLayout.SecondLabel.Left = 50%x
    statusListView.TwoLinesLayout.SecondLabel.Width = 50%x
    statusListView.TwoLinesLayout.SecondLabel.Height = 40dip
	statusListView.TwoLinesLayout.SecondLabel.Gravity = Bit.Or(Gravity.CENTER_VERTICAL, Gravity.RIGHT)
    statusListView.TwoLinesLayout.SecondLabel.TextSize = 18

 	statusListView.AddTwoLines(Common.LNG_STATUS, Common.curStatus)
    statusListView.AddTwoLines(Common.LNG_LATITUDE, Common.curLat & " " & Chr(176))
	statusListView.AddTwoLines(Common.LNG_LONGITUDE, Common.curLon & " " & Chr(176))
	statusListView.AddTwoLines(Common.LNG_ALTITUDE, Common.curAltitude & " m")
	statusListView.AddTwoLines(Common.LNG_ANGLE, Common.curAngle & " " & Chr(176))
	
	If Common.settUnitDistance <> "mi" Then
		statusListView.AddTwoLines(Common.LNG_SPEED, Common.curSpeed & " kph")
	Else
		statusListView.AddTwoLines(Common.LNG_SPEED, Floor(Common.curSpeed * 0.621371) & " mph")
	End If
	
	statusListView.AddTwoLines(Common.LNG_ACCURACY, Common.curAccuracy & " m")
	statusListView.AddTwoLines(Common.LNG_TIME, Common.curDT_Z)
End Sub

Sub timer_refreshStatus_Tick
	If Common.settTracking = "true" Then
		buildStatusListView
	End If
End Sub